Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIPanelMenuGroup.Properties

    java.lang.Object
      java.lang.Enum<UIPanelMenuGroup.Properties>
          org.richfaces.component.UIPanelMenuGroup.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIPanelMenuGroup.Properties>

Enclosing class:
  UIPanelMenuGroup

    protected static enum UIPanelMenuGroup.Properties

extends Enum<UIPanelMenuGroup.Properties>

Enum Constant Summary
`bypassUpdates`
`changeExpandListener`
`collapseEvent`
`data`
`disabled`
`expandEvent`
`hoverClass`
`label`
`leftIcon`
`leftIconClass`
`limitRender`
`mode`
`onbeforecollapse`
`onbeforedomupdate`
`onbeforeexpand`
`onbeforeselect`
`onbeforeswitch`
`onbegin`
`onclick`
`oncollapse`
`oncomplete`
`ondblclick`
`onexpand`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onselect`
`onswitch`
`onunselect`
`render`
`rightIcon`
`rightIconClass`
`selectable`
`status`
`style`
`unselectable`

Method Summary
`static UIPanelMenuGroup.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIPanelMenuGroup.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bypassUpdates

    public static final UIPanelMenuGroup.Properties bypassUpdates

### changeExpandListener

    public static final UIPanelMenuGroup.Properties changeExpandListener

### collapseEvent

    public static final UIPanelMenuGroup.Properties collapseEvent

### data

    public static final UIPanelMenuGroup.Properties data

### disabled

    public static final UIPanelMenuGroup.Properties disabled

### expandEvent

    public static final UIPanelMenuGroup.Properties expandEvent

### hoverClass

    public static final UIPanelMenuGroup.Properties hoverClass

### label

    public static final UIPanelMenuGroup.Properties label

### leftIcon

    public static final UIPanelMenuGroup.Properties leftIcon

### leftIconClass

    public static final UIPanelMenuGroup.Properties leftIconClass

### limitRender

    public static final UIPanelMenuGroup.Properties limitRender

### mode

    public static final UIPanelMenuGroup.Properties mode

### onbeforecollapse

    public static final UIPanelMenuGroup.Properties onbeforecollapse

### onbeforedomupdate

    public static final UIPanelMenuGroup.Properties onbeforedomupdate

### onbeforeexpand

    public static final UIPanelMenuGroup.Properties onbeforeexpand

### onbeforeselect

    public static final UIPanelMenuGroup.Properties onbeforeselect

### onbeforeswitch

    public static final UIPanelMenuGroup.Properties onbeforeswitch

### onbegin

    public static final UIPanelMenuGroup.Properties onbegin

### onclick

    public static final UIPanelMenuGroup.Properties onclick

### oncollapse

    public static final UIPanelMenuGroup.Properties oncollapse

### oncomplete

    public static final UIPanelMenuGroup.Properties oncomplete

### ondblclick

    public static final UIPanelMenuGroup.Properties ondblclick

### onexpand

    public static final UIPanelMenuGroup.Properties onexpand

### onmousedown

    public static final UIPanelMenuGroup.Properties onmousedown

### onmousemove

    public static final UIPanelMenuGroup.Properties onmousemove

### onmouseout

    public static final UIPanelMenuGroup.Properties onmouseout

### onmouseover

    public static final UIPanelMenuGroup.Properties onmouseover

### onmouseup

    public static final UIPanelMenuGroup.Properties onmouseup

### onselect

    public static final UIPanelMenuGroup.Properties onselect

### onswitch

    public static final UIPanelMenuGroup.Properties onswitch

### onunselect

    public static final UIPanelMenuGroup.Properties onunselect

### render

    public static final UIPanelMenuGroup.Properties render

### rightIcon

    public static final UIPanelMenuGroup.Properties rightIcon

### rightIconClass

    public static final UIPanelMenuGroup.Properties rightIconClass

### selectable

    public static final UIPanelMenuGroup.Properties selectable

### status

    public static final UIPanelMenuGroup.Properties status

### style

    public static final UIPanelMenuGroup.Properties style

### unselectable

    public static final UIPanelMenuGroup.Properties unselectable

Method Detail

### values

    public static UIPanelMenuGroup.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIPanelMenuGroup.Properties c : UIPanelMenuGroup.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIPanelMenuGroup.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.